export declare enum CreationStatus {
    SUCCESS = 0,
    FAILURE = 1
}
export declare type createParams = {
    readonly name: string;
    readonly bundleIdentifier: string;
    readonly packageName: string;
    readonly uriScheme: string;
};
export declare type HardhatAccount = {
    readonly privateKey: string;
    readonly balance: string;
};
export declare type HardhatOptions = {
    readonly hardhat: string;
    readonly hardhatConfig: string;
    readonly hardhatAccounts: readonly HardhatAccount[];
};
export declare type createContextOptions = createParams & {
    readonly yarn: boolean;
    readonly hardhat: HardhatOptions;
};
export declare type createContext = createContextOptions & {
    readonly projectDir: string;
    readonly scriptsDir: string;
    readonly srcDir: string;
    readonly testsDir: string;
};
export declare type createResult = createContext & {
    readonly status: CreationStatus;
    readonly message: string;
};
export declare type EnvVariable = readonly [name: string, type: string, value: string];
export declare type EnvVariables = readonly EnvVariable[];
